# ReadImageInfo

## Brief Description

Get information about the image

## Tags

Utilities,Image Manipulation,Image MetaData

## Long Description

Display information about the input image like: image size, origin, spacing, metadata, projections...

## Parameters

- [param] -in <string> Input image to analyse. Mandatory: True. Default Value: ""
- [param] -keywordlist <boolean> Output the OSSIM keyword list. It contains metadata information (sensor model, geometry ). Information is stored in keyword list (pairs of key/value). Mandatory: False. Default Value: "True"
- [param] -outkwl <string> This option allows extracting the OSSIM keywordlist of the image into a geom file.. Mandatory: False. Default Value: ""
- [param] -indexx <int32> X start index. Mandatory: True. Default Value: "0"
- [param] -indexy <int32> Y start index. Mandatory: True. Default Value: "0"
- [param] -sizex <int32> X size (in pixels). Mandatory: True. Default Value: "0"
- [param] -sizey <int32> Y size (in pixels). Mandatory: True. Default Value: "0"
- [param] -spacingx <float> Pixel size along X (in physical units). Mandatory: True. Default Value: "0.0"
- [param] -spacingy <float> Pixel size along Y (in physical units). Mandatory: True. Default Value: "0.0"
- [param] -originx <float> Origin along X. Mandatory: True. Default Value: "0.0"
- [param] -originy <float> Origin along Y. Mandatory: True. Default Value: "0.0"
- [param] -estimatedgroundspacingx <float> Estimated ground spacing along X (in meters).. Mandatory: True. Default Value: "0.0"
- [param] -estimatedgroundspacingy <float> Estimated ground spacing along Y (in meters).. Mandatory: True. Default Value: "0.0"
- [param] -numberbands <int32> Number of bands. Mandatory: True. Default Value: "0"
- [param] -sensor <string> Sensor identifier. Mandatory: True. Default Value: ""
- [param] -id <string> Image identifier. Mandatory: True. Default Value: ""
- [param] -time <string> Acquisition time.. Mandatory: True. Default Value: ""
- [param] -ullat <float> Lattitude of the upper left corner.. Mandatory: True. Default Value: "0"
- [param] -ullon <float> Longitude of the upper left corner.. Mandatory: True. Default Value: "0"
- [param] -urlat <float> Lattitude of the upper right corner.. Mandatory: True. Default Value: "0"
- [param] -urlon <float> Longitude of the upper right corner.. Mandatory: True. Default Value: "0"
- [param] -lrlat <float> Lattitude of the lower right corner.. Mandatory: True. Default Value: "0"
- [param] -lrlon <float> Longitude of the lower right corner.. Mandatory: True. Default Value: "0"
- [param] -lllat <float> Lattitude of the lower left corner.. Mandatory: True. Default Value: "0"
- [param] -lllon <float> Longitude of the lower left corner.. Mandatory: True. Default Value: "0"
- [param] -town <string> Main town near center of image. Mandatory: True. Default Value: ""
- [param] -country <string> Country of the image. Mandatory: True. Default Value: ""
- [param] -rgb <string> This group of parameters provide information about the default rgb composition.. Mandatory: True. Default Value: "0"
- [param] -projectionref <string> Projection Coordinate System. Mandatory: True. Default Value: ""
- [param] -keyword <string> Image keyword list. Mandatory: True. Default Value: ""
- [param] -gcp <string> This group of parameters provide information about all GCPs.. Mandatory: True. Default Value: "0"
- [param] -inxml <string> Load otb application from xml file. Mandatory: False. Default Value: ""
- [param] -outxml <string> Save otb application to xml file. Mandatory: False. Default Value: ""

## Limitations

None

## Authors

OTB-Team

## See Also

## Example of use

- in: QB_Toulouse_Ortho_XS.tif